Package org.flowable.cmmn.model

# Class DecisionTask

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.Task
org.flowable.cmmn.model.TaskWithFieldExtensions
org.flowable.cmmn.model.DecisionTask

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasLifecycleListeners`

public class DecisionTask extends TaskWithFieldExtensions

Author:
  martin.grofcik

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Decision`
  `decision`
  `protected String`
  `decisionRef`
  `protected String`
  `decisionRefExpression`

  ### Fields inherited from class org.flowable.cmmn.model.TaskWithFieldExtensions

  `fieldExtensions`

  ### Fields inherited from class org.flowable.cmmn.model.Task

  `async, asyncLeave, asyncLeaveExclusive, blocking, blockingExpression, exclusive`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Decision`
  `getDecision()`
  `String`
  `getDecisionRef()`
  `String`
  `getDecisionRefExpression()`
  `void`
  `setDecision(Decision decision)`
  `void`
  `setDecisionRef(String decisionRef)`
  `void`
  `setDecisionRefExpression(String decisionRefExpression)`

  ### Methods inherited from class org.flowable.cmmn.model.TaskWithFieldExtensions

  `getFieldExtensions, setFieldExtensions`

  ### Methods inherited from class org.flowable.cmmn.model.Task

  `getBlockingExpression, isAsync, isAsyncLeave, isAsyncLeaveExclusive, isBlocking, isExclusive, setAsync, setAsyncLeave, setAsyncLeaveExclusive, setBlocking, setBlockingExpression, setExclusive, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### decisionRefExpression

    protected String decisionRefExpression

  - ### decisionRef

    protected String decisionRef

  - ### decision

    protected Decision decision

- ## Constructor Details

  - ### DecisionTask

    public DecisionTask()

- ## Method Details

  - ### getDecisionRefExpression

    public String getDecisionRefExpression()

  - ### setDecisionRefExpression

    public void setDecisionRefExpression(String decisionRefExpression)

  - ### getDecisionRef

    public String getDecisionRef()

  - ### setDecisionRef

    public void setDecisionRef(String decisionRef)

  - ### getDecision

    public Decision getDecision()

  - ### setDecision

    public void setDecision(Decision decision)